Windows下python安装pymyssql报错

                                                        Windows下python安装pymyssql报错
                
1、查看自己的python版本
    命令: python
    打印:
        Python 3.6.5 (v3.6.5:f59c0932b4, Mar 28 2018, 16:07:46) [MSC v.1900 32 bit (Intel)] on win32
        Type "help", "copyright", "credits" or "license" for more information.
    得知: python版本是3.6.5,windows操作位数是32位
2、python包安装命令 [ pip install 包名 ]
    但是安装pymyssql时报错了
        然后按照指示执行:[ python -m pip install --upgrade pip ] 更新python pip
    还是报错:
        error: Microsoft Visual C++ 14.0 is required. Get it with "Microsoft Visual C++ Build Tools": http://landinghub.visualstudio.com/visual-cpp-build-tools
    可能原因:版本问题 [ 一定要安装和自己windows版本和python版本对应的第三方库。 ]
    解决方法:直接去下载对应版本的python包 [ python包下载地址:http://www.lfd.uci.edu/~gohlke/pythonlibs ]
        在浏览器[ctrl+f]输入[pymyssql]迅速定位到自己要下载的包的位置
        我的python是3.6版本的win是32位的,所以我下载的文件是
            pymssql-2.1.3-cp36-cp36m-win32.whl
        文件下载之后 进入到文件下载目录执行
        [ pip install pymssql-2.1.3-cp36-cp36m-win32.whl ]
        安装成功
3、由于各种因素的影响,此方案肯定不是通用的,还是得根据实际情况解决对应问题。
阅读更多
文章标签: python pymssql windows
个人分类: Python
上一篇Python函数
下一篇Python高级特性
想对作者说点什么? 我来说一句

没有更多推荐了,返回首页

关闭
关闭
关闭